showtable.py(1)

NAME
showtable.py - script to display a table in the console

SYNOPSIS
showtable.py [OPTION]... [FILE]...

DESCRIPTION

showtable.py is a command line script that prints the content of a table for the formats supported by astropy in the console.

The default behavior is to make the table output fit onto a single screen page. For a long and wide table this will mean cutting out inner rows and columns. To print all the rows or columns use --max-lines=-1 or max-width=-1, respectively. The complete list of supported formats can be found at http://astropy.readthedocs.io/en/latest/io/unified.html#built-in-table-readers-writers

OPTIONS

-h, --help
    Show this help message and exit.

--format FORMAT
    Table format, should be specified if it cannot be automatically detected.

--more
    Use the pager mode from Table.more.

--info
    Show information about the table columns.

--stats
    Show statistics about the table columns.

--max-lines MAX_LINES
    Maximum number of lines in table output (default=screen length, -1 for no limit).

--max-width MAX_WIDTH
    Maximum width in table output (default=screen width, -1 for no limit).

--hide-unit
    Hide the header row for unit (which is shown only if one or more columns has a unit).

--show-dtype
    Include a header row for column dtypes.

--delimiter DELIMITER
    For ASCII formats, the column delimiter string.

--hdu HDU
    For FITS format, the name of the HDU to show.

--path PATH
    For HDF5 format, the path from which to read the table.

--table-id TABLE_ID
    For VOTable format, the table to read in.